MARTe2-core - User story #253

Windows console
23.10.2015 12:52 - Riccardo Vitelli

Status: Closed Start date: 23.10.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.8 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement the Windows console based on the previous MARTe implementation (note that BasicConsole already exists).

Source code files modified

Architecture & design review

Date of the review: 23/10/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 18/11/2015

Person who did the review: Andre Neto

Result of review: PASS

List of non-conformities: N/A.

® There are several warnings that should be fixed in a dedicated user-stories.
¢ The following tests (already working for Linux) had to be commented:

. BasicFileGTest.x

. InternetHostGTest.x

. InternetServiceGTest.x
4. BasicSocketGTest.x

5. BasicTCPSocketGTest.x
6. BasicUDPSocketGTest.x

wnN =

Unit test review

Date of the review: 18/11/2015
Person who did the review: Andre Neto

Result of coverage tests review: N/A
Result of functional tests review: PASS

Result of review: PASS

List of non-conformities:

Associated revisions

Revision 63ac47b4 - 16.11.2015 16:35 - André Neto

#253 committing to merge with develop.

Revision 9c4a628e - 16.11.2015 16:39 - André Neto

Merge remote-tracking branch
‘origin/#276_Refactor_String_To_StringStream' into #253_Basic_Console

Conflicts:

Source/Core/BareMetal/L3Streams/Makefile.inc
Source/Core/BareMetal/L3Streams/StreamString.h
Source/Core/BareMetal/L3Streams/StringlOBuffer.h
Source/Core/FileSystem/L1Portability/BasicFile.h
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicFile.cpp
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicFileProperties.h
Test/Core/BareMetal/L3Streams/StringTest.cpp
Test/Core/BareMetal/L3Streams/StringTest.h
Test/Core/FileSystem/L1Portability/BasicFileTest.h
Test/Core/FileSystem/L1Portability/InternetHostTest.cpp
Test/GTest/Makefile.inc

Revision f618bcea - 18.11.2015 10:01 - André Neto

#253 Merged with develop. Removed dependencies with Directory user-story

Revision 3cfb288f - 18.11.2015 10:23 - André Neto
Merged Windows BasicConsole #253 with develop.

History

#1 - 23.10.2015 13:20 - André Neto

- Status changed from New to Code: Impl

#2 - 23.10.2015 13:27 - André Neto

- Description updated

#3 - 23.10.2015 13:32 - André Neto

- Target version set to 0.7

#4 - 10.11.2015 17:37 - André Neto

- Target version changed from 0.7 to 0.8

#5 - 10.11.2015 18:09 - Riccardo Vitelli

- Assignee set to Frank Perez

#6 - 16.11.2015 16:45 - Frank Perez
- Status changed from Code: Impl to Code: Rev

#7 - 16.11.2015 16:47 - Frank Perez

- Assignee deleted (Frank Perez)

Note: Merged with #276 (StreamString).
Note: #275 merged from this branch.

#8 - 18.11.2015 09:23 - André Neto

- Description updated
- Assignee set to André Neto

#9 - 18.11.2015 09:23 - André Neto
- Status changed from Code: Rev to Unit: Impl

#10 - 18.11.2015 09:23 - André Neto

- Assignee changed from André Neto to Frank Perez

#11 - 18.11.2015 09:23 - André Neto
- Status changed from Unit: Impl to Unit: Rev

#12 - 18.11.2015 09:23 - André Neto

- Assignee changed from Frank Perez to André Neto

#13 - 18.11.2015 09:26 - André Neto

- Description updated

#14 - 18.11.2015 10:24 - André Neto
- Assignee deleted (André Neto)

#15 - 18.11.2015 17:08 - Riccardo Vitelli
- Status changed from Unit: Rev to Closed

#16 - 23.11.2015 11:38 - Frank Perez
- Status changed from Closed to Code: Impl

#17 - 25.11.2015 17:37 - Ivan Herrero
- Status changed from Code: Impl to Closed

This user story used the branch #253_Basic_Console, which has been deleted.
